CONVERTQUOTA(8)

NAZWA
convertquota - konwersja starego formatu plików kwot na nowy

SKŁADNIA
convertquota [ -ug ] [ -e | -f ] system-plików

OPIS
convertquota przetwarza na systemie plików system-plików stare pliki kwot quota.user i quota.group na pliki aquota.user i aquota.group w nowym formacie, którego aktualnie używają jądra Linuksa 2.4.0-ac? i nowsze oraz jądra Linuksa z Red Hat.

Nowy format plików umożliwia korzystanie z kwot dla 32-bitowych identyfokatorów użytkowników / grup, ustawianie kwot dla root-a, zliczanie używanej przestrzeni w bajtach (i wobec tego umożliwia korzystanie z kwot na ReiserFS) i jest niezależny od architektury. Format wprowadza drzewo podstawowe (Radix Tree - prostą postać struktury drzewiastej) w pliku kwot.

OPCJE

-u  konwersja pliku kwot dyskowych użytkowników. Jest to zachowanie domyślne.

-g  konwersja pliku kwot dyskowych grup.

-f  konwersja ze starego formatu pliku na nowy. Jest to zachowanie domyślne.

-e  konwersja nowego formatu pliku z grubokońcego (big endian) do ostrokońcego (little endian).

-V  wypisanie informacji o wersji.

PLIKI

aquota.user
    nowy plik kwot dyskowych użytkowników

aquota.group
    nowy plik kwot dyskowych grup

ZOBACZ TAKŻE
quota(1), setquota(8), edquota(8), quotacheck(8), quotaon(8), repquota(8)

AUTOR
Jan Kara <jack@suse.cz>